Subject: Re: [PATCH] test-lib: have SANITIZE=leak imply TEST_NO_MALLOC_CHECK

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Sep 2022 08:29:13 -0700

Phillip Wood <[email-masked]> writes:

> Oh so the LD_PRELOAD breaks both sanitizers but only one of them complains
>
>>   # Add libc MALLOC and MALLOC_PERTURB test only if we are not executing
>> -# the test with valgrind and have not compiled with SANITIZE=address.
>> +# the test with valgrind and have not compiled with conflict SANITIZE
>> +# options.
>>   if test -n "$valgrind" ||
>> +   test -n "$SANITIZE_LEAK" ||
>>      test -n "$SANITIZE_ADDRESS" ||
>>      test -n "$TEST_NO_MALLOC_CHECK"
>
> The indentation is dodgy, also it would be nice to keep these in
> alphabetical order. Other than that this looks like a sensible fix.

Thanks, both.

Will re-queue with a local fix-up for the indentation.  As to the
ordering, I usually prefer to have new ones appended to the last
unless there are other reasons, and "keep them sorted" is such a
reason, so I may do so as well while at it.